/**
 * generated by Xtext 2.19.0
 */
package fr.istic.mML;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Model</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link fr.istic.mML.MMLModel#getInput <em>Input</em>}</li>
 *   <li>{@link fr.istic.mML.MMLModel#getMlChoice <em>Ml Choice</em>}</li>
 *   <li>{@link fr.istic.mML.MMLModel#getVariables <em>Variables</em>}</li>
 *   <li>{@link fr.istic.mML.MMLModel#getEvaluation <em>Evaluation</em>}</li>
 * </ul>
 *
 * @see fr.istic.mML.MMLPackage#getMMLModel()
 * @model
 * @generated
 */
public interface MMLModel extends EObject
{
  /**
   * Returns the value of the '<em><b>Input</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Input</em>' containment reference.
   * @see #setInput(DataInput)
   * @see fr.istic.mML.MMLPackage#getMMLModel_Input()
   * @model containment="true"
   * @generated
   */
  DataInput getInput();

  /**
   * Sets the value of the '{@link fr.istic.mML.MMLModel#getInput <em>Input</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Input</em>' containment reference.
   * @see #getInput()
   * @generated
   */
  void setInput(DataInput value);

  /**
   * Returns the value of the '<em><b>Ml Choice</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Ml Choice</em>' containment reference.
   * @see #setMlChoice(MLChoice)
   * @see fr.istic.mML.MMLPackage#getMMLModel_MlChoice()
   * @model containment="true"
   * @generated
   */
  MLChoice getMlChoice();

  /**
   * Sets the value of the '{@link fr.istic.mML.MMLModel#getMlChoice <em>Ml Choice</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Ml Choice</em>' containment reference.
   * @see #getMlChoice()
   * @generated
   */
  void setMlChoice(MLChoice value);

  /**
   * Returns the value of the '<em><b>Variables</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Variables</em>' containment reference.
   * @see #setVariables(Variables)
   * @see fr.istic.mML.MMLPackage#getMMLModel_Variables()
   * @model containment="true"
   * @generated
   */
  Variables getVariables();

  /**
   * Sets the value of the '{@link fr.istic.mML.MMLModel#getVariables <em>Variables</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Variables</em>' containment reference.
   * @see #getVariables()
   * @generated
   */
  void setVariables(Variables value);

  /**
   * Returns the value of the '<em><b>Evaluation</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Evaluation</em>' containment reference.
   * @see #setEvaluation(Evaluation)
   * @see fr.istic.mML.MMLPackage#getMMLModel_Evaluation()
   * @model containment="true"
   * @generated
   */
  Evaluation getEvaluation();

  /**
   * Sets the value of the '{@link fr.istic.mML.MMLModel#getEvaluation <em>Evaluation</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Evaluation</em>' containment reference.
   * @see #getEvaluation()
   * @generated
   */
  void setEvaluation(Evaluation value);

} // MMLModel
